Bug 1419043 - Review Request: perl-Sub-Exporter-Lexical - Export lexically-available subs with Sub::Exporter
Summary: Review Request: perl-Sub-Exporter-Lexical - Export lexically-available subs w...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 14:20 UTC by Ralf Corsepius
Modified: 2017-02-24 09:00 UTC (History)
2 users (show)

Fixed In Version: perl-Sub-Exporter-Lexical-0.092292-2.fc26 perl-Sub-Exporter-Lexical-0.092292-2.fc25 perl-Sub-Exporter-Lexical-0.092292-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-24 09:00:15 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Ralf Corsepius 2017-02-03 14:20:36 UTC
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Sub-Exporter-Lexical.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Sub-Exporter-Lexical-0.092292-1.fc26.src.rpm
Description: 
Sub::Exporter::Lexical provides an alternate installer for Sub::Exporter.
Installers are documented in Sub::Exporter's documentation; all you need to
know is that by using Sub::Exporter::Lexical's installer, you can import
routines into a lexical scope that will be cleaned up when that scope ends.

Fedora Account System Username: corsepiu

Comment 1 Jitka Plesnikova 2017-02-07 11:19:14 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --provides perl-Sub-Exporter-Lexical-0.092292-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Sub::Exporter::Lexical) = 0.092292
      1 perl-Sub-Exporter-Lexical = 0.092292-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Sub-Exporter-Lexical*
 perl-Sub-Exporter-Lexical.noarch: W: spelling-error Summary(en_US) lexically -> lexical, exotically, allergically
 perl-Sub-Exporter-Lexical.src: W: spelling-error Summary(en_US) lexically -> lexical, exotically, allergically
 2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Rpmlint is ok

BuildRequires
FIX: Please remove duplicity 'perl(strict)' in BR.
FIX: Please change the version restriction for perl(ExtUtils::MakeMaker) to
     6.76 or higher, because NO_PACKLIST option (spec file line 37) was
     added in this version.

$ rpm -qplv perl-Sub-Exporter-Lexical-0.092292-1.fc26.noarch.rpm
drwxr-xr-x    2 root    root     0 Feb  7 10:35 /usr/share/doc/perl-Sub-Exporter-Lexical
-rw-r--r--    1 root    root   290 Nov 24  2013 /usr/share/doc/perl-Sub-Exporter-Lexical/Changes
-rw-r--r--    1 root    root   332 Nov 24  2013 /usr/share/doc/perl-Sub-Exporter-Lexical/README
drwxr-xr-x    2 root    root     0 Feb  7 10:35 /usr/share/licenses/perl-Sub-Exporter-Lexical
-rw-r--r--    1 root    root 18353 Nov 24  2013 /usr/share/licenses/perl-Sub-Exporter-Lexical/LICENSE
-rw-r--r--    1 root    root  2472 Feb  7 10:35 /usr/share/man/man3/Sub::Exporter::Lexical.3pm.gz
drwxr-xr-x    2 root    root     0 Feb  7 10:35 /usr/share/perl5/vendor_perl/Sub
drwxr-xr-x    2 root    root     0 Feb  7 10:35 /usr/share/perl5/vendor_perl/Sub/Exporter
-rw-r--r--    1 root    root  4118 Nov 24  2013 /usr/share/perl5/vendor_perl/Sub/Exporter/Lexical.pm
-rw-r--r--    1 root    root   779 Nov 24  2013 /usr/share/perl5/vendor_perl/Sub/Exporter/snippet.pl

$ rpm -qp --requires perl-Sub-Exporter-Lexical-0.092292-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(:VERSION) >= 5.12.0
      1 perl(Lexical::Sub)
      1 perl(Sub::Exporter)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are not Ok.

FIX: Do you want to distribute the file 'snippet.pl'? It was put into
     /usr/share/perl5/vendor_perl/Sub/Exporter. The dependencies for the file
     are not generated, because 'file' detects it as 'ASCII text' and rpm-build 
     does not process it by perl-generators.

$ file Sub-Exporter-Lexical-0.092292/snippet.pl
Sub-Exporter-Lexical-0.092292/snippet.pl: ASCII text

     The missing run-require dependencies for 'snippet.pl' are:
       perl(B::Hooks::EndOfScope)
       perl(Carp)
       perl(Sub::Install)
       perl(namespace::autoclean)
       perl(namespace::clean)


Please correct 'FIX' issues and provide new spec file.

Otherwise the package looks good.
Not approved.

Comment 2 Ralf Corsepius 2017-02-08 16:04:19 UTC
I believe to have reflected all your remarks.

Update:
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Sub-Exporter-Lexical.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Sub-Exporter-Lexical-0.092292-2.fc26.src.rpm

Comment 3 Jitka Plesnikova 2017-02-08 16:23:46 UTC
> BuildRequires
> FIX: Please remove duplicity 'perl(strict)' in BR.
> FIX: Please change the version restriction for perl(ExtUtils::MakeMaker) to
>      6.76 or higher, because NO_PACKLIST option (spec file line 37) was
>      added in this version.
-BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
+BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
 BuildRequires:  perl(Lexical::Sub)
-BuildRequires:  perl(strict)
Ok.


> FIX: Do you want to distribute the file 'snippet.pl'? It was put into
>      /usr/share/perl5/vendor_perl/Sub/Exporter. The dependencies for the file
>      are not generated, because 'file' detects it as 'ASCII text' and
> rpm-build 
>      does not process it by perl-generators.
> 
$ rpm -qpl perl-Sub-Exporter-Lexical-0.092292-2.fc26.noarch.rpm 
/usr/share/doc/perl-Sub-Exporter-Lexical
/usr/share/doc/perl-Sub-Exporter-Lexical/Changes
/usr/share/doc/perl-Sub-Exporter-Lexical/README
/usr/share/licenses/perl-Sub-Exporter-Lexical
/usr/share/licenses/perl-Sub-Exporter-Lexical/LICENSE
/usr/share/man/man3/Sub::Exporter::Lexical.3pm.gz
/usr/share/perl5/vendor_perl/Sub
/usr/share/perl5/vendor_perl/Sub/Exporter
/usr/share/perl5/vendor_perl/Sub/Exporter/Lexical.pm

Ok. snippet.pl is not distributed. 

The package looks good.
Approved

Comment 4 Gwyn Ciesla 2017-02-08 18:33:56 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Sub-Exporter-Lexical


Note You need to log in before you can comment on or make changes to this bug.